MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023307Community[OCCT] OCCT:Modeling Algorithmspublic2012-07-17 17:442012-11-16 13:17
ReporterPawel 
Assigned ToPawel 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023307: Same variable value verified twice in TopOpeBRepTool_TOOL.cxx
DescriptionIn line 330.

Change

Standard_Boolean onfl = (onf || onf);

to

Standard_Boolean onfl = (onf || onl);
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0021019)
Pawel (developer)
2012-07-17 17:47

Corresponding git branch pushed. Please review.
(0021034)
abv (manager)
2012-07-18 08:58

No remarks, please test
(0021068)
mkv (tester)
2012-07-19 14:36

Dear BugMaster,
The workbenches
KAS:dev:mkv-23307-occt (GIT branch CR23307)
KAS:dev:mkv-23307-products (GIT master)
were compiled on Linux platform and tested.

Regression:
Not detected

Improvements:
Not detected

Testing case:
Not needed

See results in /QADisk/occttests/results/KAS/dev/mkv-23307-products_18072012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120706-opt_06072012/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]

- Related Changesets
occt: master f6475f03
Timestamp: 2012-07-17 13:46:18
Author: Pawel
Details ] Diff ]
0023307: Same variable value verified twice in TopOpeBRepTool_TOOL.cxx

Checking both variable values: onf, onl.
mod - src/TopOpeBRepTool/TopOpeBRepTool_TOOL.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-07-17 17:44 Pawel New Issue
2012-07-17 17:44 Pawel Assigned To => Pawel
2012-07-17 17:47 Pawel Note Added: 0021019
2012-07-17 17:47 Pawel Assigned To Pawel => bugmaster
2012-07-17 17:47 Pawel Status new => resolved
2012-07-18 08:58 abv Note Added: 0021034
2012-07-18 08:58 abv Status resolved => reviewed
2012-07-18 12:02 mkv Assigned To bugmaster => mkv
2012-07-19 14:36 mkv Note Added: 0021068
2012-07-19 14:36 mkv Test case number => Not needed
2012-07-19 14:36 mkv Assigned To mkv => bugmaster
2012-07-19 14:36 mkv Status reviewed => tested
2012-07-23 12:20 Pawel Changeset attached => occt master f6475f03
2012-07-23 12:23 Pawel Assigned To bugmaster => Pawel
2012-07-23 12:23 Pawel Status tested => verified
2012-07-23 12:23 Pawel Resolution open => fixed
2012-11-16 13:14 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:17 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker